//===---------- AllocOptions_Fer.h - Register Allocation Options ----------===//
//
//                     The LLVM Compiler Infrastructure
//
// Author: Fernando Magno Quintao Pereira
// Date: April 14th, 2007
//
//===----------------------------------------------------------------------===//
//
// This file defines command line option flags that condigure the register
// allocator. 
//
//===----------------------------------------------------------------------===//

#ifndef ALLOC_OPTIONS_FER_H
#define ALLOC_OPTIONS_FER_H

namespace llvm {

  /// SSA_based - If set to true, it will call the SSA-based register allocator,
  /// that destroys phi-functions before performing the register allocation.
  extern bool SSA_based;

  /// If this variable is true, the register allocator will attempt to perform
  /// a simple form of global register coalescing.
  extern bool global_coalesce;

}

#endif
