//===-------------- FillEmptyMBB_Fer - Break critical edges --------------===//
//
//                     The LLVM Compiler Infrastructure
//
// Inserts a no-op into each basic block that is empty.
//
//===---------------------------------------------------------------------===//
//
// After this pass runs, the target function will not have any empty basic
// block. Each basic block that was previously empty will have a no-op
// instruction.
//
//===---------------------------------------------------------------------===//


#ifndef FILL_EMPTY_MBB_FER_H
#define FILL_EMPTY_MBB_FER_H

namespace llvm {

    class FillEmptyMBB_Fer : public MachineFunctionPass {

        public:

        static char ID; // Pass identification, replacement for typeid
        FillEmptyMBB_Fer() : MachineFunctionPass((intptr_t)&ID) {}

        virtual void getAnalysisUsage(AnalysisUsage & AU) const;
  
        virtual bool runOnMachineFunction(MachineFunction &mf);
 
        private:

    };

}

#endif
